import * as http from 'http';
import Koa from 'koa';
import { IRedisSMQHttpApiConfig } from './src/config/types/index.js';
import { IApplicationMiddlewareContext, IApplicationMiddlewareState } from './src/lib/application/types/index.js';
export declare class RedisSmqRestApi {
    protected app: Koa<IApplicationMiddlewareState, IApplicationMiddlewareContext<unknown, unknown, unknown>>;
    protected config: import("./src/config/types/index.js").IRedisSMQHttpApiParsedConfig;
    protected httpServer: http.Server<typeof http.IncomingMessage, typeof http.ServerResponse>;
    protected logger: import("redis-smq-common").ILogger;
    protected bootstrapped: boolean;
    constructor(config?: IRedisSMQHttpApiConfig);
    protected initApplicationMiddlewares(): Promise<void>;
    protected initOpenApi(): Promise<void>;
    protected initRouting(): Promise<void>;
    protected bootstrap(): Promise<void>;
    run(): Promise<void>;
    shutdown(): Promise<void>;
}
//# sourceMappingURL=index.d.ts.map