"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const supertest_1 = __importDefault(require("supertest"));
const vitest_1 = require("vitest");
const config_js_1 = require("../../../../tests/common/config.js");
const bind_queue_js_1 = require("../../../../tests/common/bind-queue.js");
const create_fan_out_exchange_js_1 = require("../../../../tests/common/create-fan-out-exchange.js");
const create_queue_js_1 = require("../../../../tests/common/create-queue.js");
(0, vitest_1.describe)('getAllExchangesController', () => {
    (0, vitest_1.it)('HTTP 200 OK', () => __awaiter(void 0, void 0, void 0, function* () {
        var _a, _b, _c, _d;
        const exchange1 = yield (0, create_fan_out_exchange_js_1.createFanOutExchange)('my-fan-out1');
        const exchange2 = yield (0, create_fan_out_exchange_js_1.createFanOutExchange)('my-fan-out2');
        const request = (0, supertest_1.default)(`http://127.0.0.1:${(_a = config_js_1.config.apiServer) === null || _a === void 0 ? void 0 : _a.port}`);
        const response1 = yield request.get(`/api/v1/exchanges/fan-out-exchanges`);
        (0, vitest_1.expect)(response1.status).toEqual(200);
        (0, vitest_1.expect)((_c = (_b = response1.body) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.sort()).toEqual([exchange1, exchange2].sort());
        const { queue } = yield (0, create_queue_js_1.createQueue)('q1');
        yield (0, bind_queue_js_1.bindQueue)(queue, exchange1);
        const queryParams = queue;
        const response2 = yield request
            .get(`/api/v1/exchanges/fan-out-exchanges`)
            .query(queryParams);
        (0, vitest_1.expect)(response2.status).toEqual(200);
        (0, vitest_1.expect)((_d = response2.body) === null || _d === void 0 ? void 0 : _d.data).toEqual([exchange1]);
    }));
});
//# sourceMappingURL=getAllExchangesController.test.js.map