"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const supertest_1 = __importDefault(require("supertest"));
const vitest_1 = require("vitest");
const config_js_1 = require("../../../../tests/common/config.js");
const bind_queue_js_1 = require("../../../../tests/common/bind-queue.js");
const create_fan_out_exchange_js_1 = require("../../../../tests/common/create-fan-out-exchange.js");
const create_queue_js_1 = require("../../../../tests/common/create-queue.js");
(0, vitest_1.describe)('getQueuesController', () => {
    (0, vitest_1.it)('HTTP 200 OK', () => __awaiter(void 0, void 0, void 0, function* () {
        var _a, _b, _c;
        const exchange = yield (0, create_fan_out_exchange_js_1.createFanOutExchange)('my-fan-out');
        const { queue: q1 } = yield (0, create_queue_js_1.createQueue)({ ns: 'ns1', name: 'q1' });
        const { queue: q2 } = yield (0, create_queue_js_1.createQueue)({ ns: 'ns1', name: 'q2' });
        yield (0, bind_queue_js_1.bindQueue)(q1, exchange);
        yield (0, bind_queue_js_1.bindQueue)(q2, exchange);
        const request = (0, supertest_1.default)(`http://127.0.0.1:${(_a = config_js_1.config.apiServer) === null || _a === void 0 ? void 0 : _a.port}`);
        const response1 = yield request.get(`/api/v1/exchanges/fan-out-exchanges/${exchange}`);
        (0, vitest_1.expect)(response1.status).toEqual(200);
        (0, vitest_1.expect)((_c = (_b = response1.body) === null || _b === void 0 ? void 0 : _b.data) === null || _c === void 0 ? void 0 : _c.sort((a, b) => {
            return `${a.name}@${a.ns}` > `${b.name}@${b.ns}` ? 1 : -1;
        })).toEqual([q1, q2].sort((a, b) => {
            return `${a.name}@${a.ns}` > `${b.name}@${b.ns}` ? 1 : -1;
        }));
    }));
});
//# sourceMappingURL=getQueuesController.test.js.map