"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOpenApiRoutes = getOpenApiRoutes;
const parser_js_1 = require("../router/parser.js");
let openApiRoutes = null;
function handleResource(controllerName, method, payload, routePath, schema, description, tags) {
    return __awaiter(this, void 0, void 0, function* () {
        const requestParametersSchema = schema.getRequestSchemas(controllerName, payload);
        const responseSchema = [
            ...schema.getResponseSchemas(controllerName).values(),
        ].map((i) => [i.responseCode, i.schema]);
        return {
            path: routePath
                .split('/')
                .map((i) => (i.startsWith(':') ? `{${i.slice(1)}}` : i))
                .join('/'),
            method,
            requestParamsSchemas: requestParametersSchema,
            response: responseSchema,
            description,
            tags,
        };
    });
}
function getOpenApiRoutes(routingMap, schema) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!openApiRoutes) {
            openApiRoutes = [];
            yield (0, parser_js_1.parseRoutingMap)(routingMap, (controller, controllerName, method, payload, path, description, tags) => __awaiter(this, void 0, void 0, function* () {
                const i = yield handleResource(controllerName, method, payload, path, schema, description, tags);
                openApiRoutes === null || openApiRoutes === void 0 ? void 0 : openApiRoutes.push(i);
            }));
        }
        return openApiRoutes;
    });
}
//# sourceMappingURL=adaptor.js.map