"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidateRequestMiddleware = ValidateRequestMiddleware;
const awilix_1 = require("awilix");
const index_js_1 = require("../../controller/types/index.js");
function ValidateRequestMiddleware(requestValidationFn) {
    return (ctx, next) => __awaiter(this, void 0, void 0, function* () {
        var _a;
        for (const [src, validator] of requestValidationFn.entries()) {
            if (src === index_js_1.EControllerRequestPayload.PATH) {
                const params = ctx.params;
                validator(params);
                ctx.scope.register({
                    requestPathDTO: (0, awilix_1.asValue)(params),
                });
            }
            if (src === index_js_1.EControllerRequestPayload.QUERY) {
                const query = ctx.query;
                validator(query);
                ctx.scope.register({
                    requestQueryDTO: (0, awilix_1.asValue)(query),
                });
            }
            if (src === index_js_1.EControllerRequestPayload.BODY) {
                const body = (_a = ctx.request['body']) !== null && _a !== void 0 ? _a : {};
                validator(body);
                ctx.scope.register({
                    requestBodyDTO: (0, awilix_1.asValue)(body),
                });
            }
        }
        return next();
    });
}
//# sourceMappingURL=ValidateRequestMiddleware.js.map