"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidateResponseMiddleware = ValidateResponseMiddleware;
const RouterResponseValidatorNotFoundError_js_1 = require("../errors/RouterResponseValidatorNotFoundError.js");
function ValidateResponseMiddleware(validatorMap) {
    return (ctx, next) => __awaiter(this, void 0, void 0, function* () {
        const key = ctx.state.responseSchemaKey;
        const validator = validatorMap.get(key);
        if (validator) {
            validator(ctx.body);
            return next();
        }
        throw new RouterResponseValidatorNotFoundError_js_1.RouterResponseValidatorNotFoundError();
    });
}
//# sourceMappingURL=ValidateResponseMiddleware.js.map