import bluebird from 'bluebird';
const { promisifyAll } = bluebird;
export class ConsumerGroupsService {
    consumerGroups;
    queuePendingMessages;
    constructor(consumerGroups, queuePendingMessages) {
        this.consumerGroups = promisifyAll(consumerGroups);
        this.queuePendingMessages = promisifyAll(queuePendingMessages);
    }
    async deleteConsumerGroup(queueParams, consumerGroupId) {
        await this.consumerGroups.deleteConsumerGroupAsync(queueParams, consumerGroupId);
    }
    async getConsumerGroups(queueParams) {
        return this.consumerGroups.getConsumerGroupsAsync(queueParams);
    }
    async saveConsumerGroup(queueParams, consumerGroupId) {
        await this.consumerGroups.saveConsumerGroupAsync(queueParams, consumerGroupId);
    }
    async getPendingMessages(queueParams, consumerGroupId, cursor, pageSize) {
        return this.queuePendingMessages.getMessagesAsync({
            queue: queueParams,
            groupId: consumerGroupId,
        }, cursor, pageSize);
    }
    async countPendingMessages(queueParams, consumerGroupId) {
        return this.queuePendingMessages.countMessagesAsync({
            queue: queueParams,
            groupId: consumerGroupId,
        });
    }
    async purgePendingMessages(queueParams, consumerGroupId) {
        return this.queuePendingMessages.purgeAsync({
            queue: queueParams,
            groupId: consumerGroupId,
        });
    }
}
//# sourceMappingURL=ConsumerGroupsService.js.map