import { RouterResponseValidatorNotFoundError } from '../errors/RouterResponseValidatorNotFoundError.js';
export function ValidateResponseMiddleware(validatorMap) {
    return async (ctx, next) => {
        const key = ctx.state.responseSchemaKey;
        const validator = validatorMap.get(key);
        if (validator) {
            validator(ctx.body);
            return next();
        }
        throw new RouterResponseValidatorNotFoundError();
    };
}
//# sourceMappingURL=ValidateResponseMiddleware.js.map